Bug 982138 - SELinux is preventing /usr/bin/abrt-action-save-package-data from 'write' accesses on the file .dbenv.lock.
SELinux is preventing /usr/bin/abrt-action-save-package-data from 'write' acc...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: abrt (Show other bugs)
19
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Michal Toman
Fedora Extras Quality Assurance
abrt_hash:5f41f6f91835a00f088fcf2fda0...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-08 04:55 EDT by Mamoru TASAKA
Modified: 2015-03-22 20:42 EDT (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 10:57:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mamoru TASAKA 2013-07-08 04:55:46 EDT
Description of problem:
I guess this occurred when trying to submit abrt report to bugzilla.
SELinux is preventing /usr/bin/abrt-action-save-package-data from 'write' accesses on the file .dbenv.lock.

*****  Plugin catchall (100. confidence) suggests  ***************************

If abrt-action-save-package-data に、 .dbenv.lock file の write アクセスがデフォルトで許可されるべきです。   
Then バグとして報告してください。 
ローカルのポリシーモジュールを生成すると、 このアクセスを許可することができます。
Do
このアクセスを一時的に許可するには、以下を実行してください。:
# grep abrt-action-sav /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:abrt_t:s0-s0:c0.c1023
Target Context                unconfined_u:object_r:user_home_t:s0
Target Objects                .dbenv.lock [ file ]
Source                        abrt-action-sav
Source Path                   /usr/bin/abrt-action-save-package-data
Port                          <不明>
Host                          (removed)
Source RPM Packages           abrt-2.1.5-1.fc19.i686
Target RPM Packages           
Policy RPM                    selinux-policy-3.12.1-59.fc19.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 3.9.9-301.fc19.i686 #1 SMP Thu Jul
                              4 15:35:21 UTC 2013 i686 i686
Alert Count                   4
First Seen                    2013-07-08 17:48:16 JST
Last Seen                     2013-07-08 17:48:35 JST
Local ID                      9a00375d-f5a9-4f7e-a64c-7c84febfaf94

Raw Audit Messages
type=AVC msg=audit(1373273315.412:332): avc:  denied  { write } for  pid=24453 comm="abrt-action-sav" name=".dbenv.lock" dev="dm-3" ino=9177346 scontext=system_u:system_r:abrt_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:user_home_t:s0 tclass=file


type=SYSCALL msg=audit(1373273315.412:332): arch=i386 syscall=open success=no exit=EACCES a0=8af9a08 a1=8042 a2=1a4 a3=8add2b8 items=0 ppid=24451 pid=24453 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 ses=4294967295 tty=(none) comm=abrt-action-sav exe=/usr/bin/abrt-action-save-package-data subj=system_u:system_r:abrt_t:s0-s0:c0.c1023 key=(null)

Hash: abrt-action-sav,abrt_t,user_home_t,file,write

Additional info:
reporter:       libreport-2.1.5
hashmarkername: setroubleshoot
kernel:         3.9.9-301.fc19.i686
type:           libreport
Comment 1 Mamoru TASAKA 2013-07-08 04:59:05 EDT
# rpm -qf /usr/bin/abrt-action-save-package-data
abrt-2.1.5-1.fc19.i686
Comment 2 Fedora End Of Life 2015-01-09 13:45:33 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2015-02-17 10:57:44 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.